<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8">
    <title>Image Classifier</title>
  </head>
  <body>
    <h1>Image Classifier</h1>
<form id="image-form" method="POST" enctype="multipart/form-data" action="/classify">
      <input type="file" name="image">	  
	  
      <button type="submit">classify</button>
    </form>
    <div id="result"></div>
    <script>
      const form = document.getElementById('image-form');
      const resultDiv = document.getElementById('result');
      form.addEventListener('submit', async (event) => {
        event.preventDefault();
        const formData = new FormData(form);
        const response = await fetch('/classify', {
          method: 'POST',
          body: formData
        });
        const result = await response.json();
        resultDiv.innerHTML = JSON.stringify(result, null, 2);
      });
    </script>
  </body>
</html>
